CMSIS-NN: Globals

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Enumerations
- Enumerator
- Macros

- a
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - c -

- arm_concatenation_s8_w() : arm_nnfunctions.h , arm_concatenation_s8_w.c
- arm_concatenation_s8_x() : arm_nnfunctions.h , arm_concatenation_s8_x.c
- arm_concatenation_s8_y() : arm_nnfunctions.h , arm_concatenation_s8_y.c
- arm_concatenation_s8_z() : arm_nnfunctions.h , arm_concatenation_s8_z.c
- arm_convolve_1_x_n_s8() : arm_nnfunctions.h , arm_convolve_1_x_n_s8.c
- arm_convolve_1_x_n_s8_get_buffer_size() : arm_nnfunctions.h , arm_convolve_1_x_n_s8.c
- arm_convolve_1x1_HWC_q7_fast_nonsquare() : arm_nnfunctions.h , arm_convolve_1x1_HWC_q7_fast_nonsquare.c
- arm_convolve_1x1_s8_fast() : arm_nnfunctions.h , arm_convolve_1x1_s8_fast.c
- arm_convolve_1x1_s8_fast_get_buffer_size() : arm_nnfunctions.h , arm_convolve_1x1_s8_fast.c
- arm_convolve_HWC_q15_basic() : arm_nnfunctions.h , arm_convolve_HWC_q15_basic.c
- arm_convolve_HWC_q15_fast() : arm_convolve_HWC_q15_fast.c , arm_nnfunctions.h
- arm_convolve_HWC_q15_fast_nonsquare() : arm_nnfunctions.h , arm_convolve_HWC_q15_fast_nonsquare.c
- arm_convolve_HWC_q7_basic() : arm_nnfunctions.h , arm_convolve_HWC_q7_basic.c
- arm_convolve_HWC_q7_basic_nonsquare() : arm_nnfunctions.h , arm_convolve_HWC_q7_basic_nonsquare.c
- arm_convolve_HWC_q7_fast() : arm_convolve_HWC_q7_fast.c , arm_nnfunctions.h
- arm_convolve_HWC_q7_fast_nonsquare() : arm_nnfunctions.h , arm_convolve_HWC_q7_fast_nonsquare.c
- arm_convolve_HWC_q7_RGB() : arm_convolve_HWC_q7_RGB.c , arm_nnfunctions.h
- arm_convolve_s8() : arm_nnfunctions.h , arm_convolve_s8.c
- arm_convolve_s8_get_buffer_size() : arm_convolve_s8.c , arm_nnfunctions.h
- CLAMP : arm_nnsupportfunctions.h
- cmake_minimum_required() : CMakeLists.txt
- col_buffer : arm_nnexamples_cifar10.cpp
- CONV1_BIAS : arm_nnexamples_cifar10_weights.h
- conv1_bias : arm_nnexamples_cifar10.cpp
- CONV1_BIAS_LSHIFT : arm_nnexamples_cifar10_weights.h
- CONV1_IM_CH : arm_nnexamples_cifar10_parameter.h
- CONV1_IM_DIM : arm_nnexamples_cifar10_parameter.h
- CONV1_KER_DIM : arm_nnexamples_cifar10_parameter.h
- CONV1_OUT_CH : arm_nnexamples_cifar10_parameter.h
- CONV1_OUT_DIM : arm_nnexamples_cifar10_parameter.h
- CONV1_OUT_RSHIFT : arm_nnexamples_cifar10_weights.h
- CONV1_PADDING : arm_nnexamples_cifar10_parameter.h
- CONV1_STRIDE : arm_nnexamples_cifar10_parameter.h
- CONV1_WT : arm_nnexamples_cifar10_weights.h
- conv1_wt : arm_nnexamples_cifar10.cpp
- CONV2_BIAS : arm_nnexamples_cifar10_weights.h
- conv2_bias : arm_nnexamples_cifar10.cpp
- CONV2_BIAS_LSHIFT : arm_nnexamples_cifar10_weights.h
- CONV2_IM_CH : arm_nnexamples_cifar10_parameter.h
- CONV2_IM_DIM : arm_nnexamples_cifar10_parameter.h
- CONV2_KER_DIM : arm_nnexamples_cifar10_parameter.h
- CONV2_OUT_CH : arm_nnexamples_cifar10_parameter.h
- CONV2_OUT_DIM : arm_nnexamples_cifar10_parameter.h
- CONV2_OUT_RSHIFT : arm_nnexamples_cifar10_weights.h
- CONV2_PADDING : arm_nnexamples_cifar10_parameter.h
- CONV2_STRIDE : arm_nnexamples_cifar10_parameter.h
- CONV2_WT : arm_nnexamples_cifar10_weights.h
- conv2_wt : arm_nnexamples_cifar10.cpp
- conv3_bias : arm_nnexamples_cifar10.cpp
- CONV3_BIAS : arm_nnexamples_cifar10_weights.h
- CONV3_BIAS_LSHIFT : arm_nnexamples_cifar10_weights.h
- CONV3_IM_CH : arm_nnexamples_cifar10_parameter.h
- CONV3_IM_DIM : arm_nnexamples_cifar10_parameter.h
- CONV3_KER_DIM : arm_nnexamples_cifar10_parameter.h
- CONV3_OUT_CH : arm_nnexamples_cifar10_parameter.h
- CONV3_OUT_DIM : arm_nnexamples_cifar10_parameter.h
- CONV3_OUT_RSHIFT : arm_nnexamples_cifar10_weights.h
- CONV3_PADDING : arm_nnexamples_cifar10_parameter.h
- CONV3_STRIDE : arm_nnexamples_cifar10_parameter.h
- CONV3_WT : arm_nnexamples_cifar10_weights.h
- conv3_wt : arm_nnexamples_cifar10.cpp